version: '3.8'

#==================================================
# Relies on the file `.env` content for varables:
#    ROOT_DIR
#    JUPYTER_PORT
#==================================================

services:
  jupyter:
    user: "oleg"
    build: ${ROOT_DIR}
    image: cvtt/jupyter_gpu_pt:v1.0.8
    container_name: jupyter_gpu_pt
    runtime: nvidia
    environment:
      - JUPYTER_ENABLE_LAB=yes
    volumes:
      - ${ROOT_DIR}/notebooks:/workspace
      - ${ROOT_DIR}/jupyter_settings/user-settings:/root/.jupyter/lab/user-settings
      - ${ROOT_DIR}/jupyter_settings/workspaces:/root/.jupyter/lab/workspaces
      - ${ROOT_DIR}/.cache/torch:/root/.cache/torch
    ports:
      - "${JUPYTER_PORT}:${JUPYTER_PORT}"
    shm_size: "8gb"
